﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CheckBoxCellXAML
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            flexgrid.ItemsSource = UserDataItem.GetDataItems(50);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var str = "";
            foreach (var row in flexgrid.Rows)
            {
                var dataItem = row.DataItem as UserDataItem;
                if (dataItem.Check == true)
                {
                    str += (dataItem.Sno + ":" + dataItem.Group + "\n");
                }

            }
            MessageBox.Show(str, "Marked Values", MessageBoxButton.OK);
        }
    }
}
